Autore Topic: Aggiornamento dopo un anno  (Letto 1372 volte)

Offline fabbrik

  • *
  • Post: 8
  • Reputazione: 0
    • Mostra profilo
Aggiornamento dopo un anno
« il: 05 Marzo 2013 ore 12:11 »
Ciao, dopo un anno di chakra ho deciso di fare una cosa meravigliosa... aggiornare chakra. Lo so che avrei dovuto farlo prima, ma tantè che...
Dico subito che non è andato a buon fine, ma avrò sbagliato delle cose.
Ho clonato la partizione, così posso rifare il tutto in un'oretta.
Ho proceduto così:
Codice: [Seleziona]
sudo pacman -Syue mi chiede di aggiornare pacman, procedo e mi dà questo errore
Codice: [Seleziona]
errore: impossibile trovare il pacchetto 'systemd' e mi dice questo
Codice: [Seleziona]
WARNING
 Talloc is an old package that created symlinks, which pacman does not recognize as belonging to talloc
 How to handle this update:
 sudo pacman -S talloc --force
 sudo pacman -Syu
errore: impossibile trovare il pacchetto 'systemd'
(2/2) aggiornamento in corso di pacman                                                         [#######################################################] 100%
attenzione: /etc/pacman.conf installato come /etc/pacman.conf.pacnew
ed eseguo e mi dice
Codice: [Seleziona]
pacman: /usr/lib/libcurl.so.4: no version information available (required by /usr/lib/libalpm.so.7) e me lo ripeterà spesso.
Riprendo con l'aggiornamento generale ma c'è questo conflitto.
Codice: [Seleziona]
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-libgl: richiede libgl=9.0.2
La faccio breve: rimuovo nvidia, installo libgl che rimuove nvidia-utils, rimuovo google-earth, rimuovo lib32-libgl. Poi procedo, mi chiede se voglio fare un sacco di cose e rispondo si a tutto. Ma alla fine mi dice questo.
Codice: [Seleziona]
errore: impossibile eseguire l'operazione richiesta (file in conflitto)
filesystem: /etc/mtab è già presente nel filesystem
filesystem: /etc/profile.d/locale.sh è già presente nel filesystem
filesystem: /var/lock è già presente nel filesystem
filesystem: /var/run è già presente nel filesystem
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
Come scritto qui http://chakra-project.it/notizie/?p=857
Codice: [Seleziona]
sudo pacman -S systemd --forceMa mi ridà l'errore di cui sopra.
Rinomino i file e le cartelle in questione e procedo.
Tutto ok. L'aggiornamento procede fino alla fine. Riavvio.
All'avvio mi dice:
Codice: [Seleziona]
Systemd[1]: Failed  to insert module 'autofs4'
Systemd[1]: Failed  to open /dev/autofs: No such device
Systemd[1]: Failed  to initialize automounter: No such device
[FAILED] Failed to  set up  automount  Arbitrary Executable File Formats File System Automount Point
Per avviarsi si avvia, ma non vede più nè mouse nè tachpad nè tastiera e il desktop è stato totalmente rifatto.
Non so che fare. Posso rifare tutto ma non conosco la procedura giusta. Dovevo fare come scritto qui?
http://forum.chakra-project.it/index.php/topic,4576.0.html
cioè
Codice: [Seleziona]
pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-initBoh. Ho proprio bisogno di un suggerimento.
Vi ringrazio anticipatamente

Offline Cylon

  • *
  • Post: 1960
  • Reputazione: 78
  • CYbernetic Life fOrm Node
    • Mostra profilo
Re:Aggiornamento dopo un anno
« Risposta #1 il: 05 Marzo 2013 ore 14:17 »
chakra è una distro hal-rolling non ha senso tenerla e non aggiornarla per un anno.. fai prima a scaricare la nuova ISO e reinstallare... in un anno sono cambiate cosi tante cose nella distro che sarebbe meglio reinstalarla..
We are the Cylons. Lower your firewalll and surrender.Your PC will adapt to service our GNU/Linux systems. Resistance is futile. Extermination of human race has began!
                                                                     Non rispondo a PM

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Aggiornamento dopo un anno
« Risposta #2 il: 05 Marzo 2013 ore 14:38 »
Sottoscrivo quanto detto da Cylon.
Il passaggio a systemd è avvenuto gradualmente, farlo tutto insieme è una follia. Inoltre molti pacchetti hanno subito modificazioni/inclusioni, quindi non sono più nello stesso stato in cui si trovavano un anno fa.

L'unica cosa da fare è reinstallare con l'ultima iso disponibile.
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline vellerofonte

  • *
  • Post: 1374
  • Reputazione: 58
  • #Chakra: Kde for life
    • Mostra profilo
Re:Aggiornamento dopo un anno
« Risposta #3 il: 05 Marzo 2013 ore 18:45 »
Ciao, dopo un anno di chakra ho deciso di fare una cosa meravigliosa... aggiornare chakra. Lo so che avrei dovuto farlo prima, ma tantè che...
:o

Dico subito che non è andato a buon fine, ma avrò sbagliato delle cose.
:o :o

Ho clonato la partizione, così posso rifare il tutto in un'oretta.

 :o :o :o

Non hai neppure la più pallida idea di cosa hai tentato di fare  ;D
Chakra è stata praticamente ribaltata, sverniciata, smontata pezzo pezzo e ricomposta negli ultimi 3 mesi, non ci sono speranze, scarica la nuova iso reinstalla in 20 minuti e.........AGGIORNA!

Offline andreazube

  • *
  • Post: 1595
  • Reputazione: 64
  • I AM THE INTERSECT
    • Mostra profilo
    • Lupo mannaro
Re:Aggiornamento dopo un anno
« Risposta #4 il: 05 Marzo 2013 ore 19:24 »
:o
 :o :o

 :o :o :o

Non hai neppure la più pallida idea di cosa hai tentato di fare  ;D
Chakra è stata praticamente ribaltata, sverniciata, smontata pezzo pezzo e ricomposta negli ultimi 3 mesi, non ci sono speranze, scarica la nuova iso reinstalla in 20 minuti e.........AGGIORNA!

Quoto e sottoscrivo

Il tuo sistema ha ben poco in comune col nostro oramai  ;)

Comunque direi che dopo che tutti gli hanno detto di reinstallare, abbia capito :)

Offline fabbrik

  • *
  • Post: 8
  • Reputazione: 0
    • Mostra profilo
Re:Aggiornamento dopo un anno
« Risposta #5 il: 05 Marzo 2013 ore 21:02 »
Come avete detto?
Reinstallare?
Ma siete sicuri? Tutti d'accordo?

Ahhh che peccato.
Si avvia. Non mi prende gli input come a vellerofonte, però applicando i suoi suggerimenti non li prende comunque, nè tastiera nè mouse ecc. Nulla. Zero. :'(

Reinstallerò, più avanti. Adesso torno alla vecchia edizione.

Grazie ragazzi per la chiarezza.

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Aggiornamento dopo un anno
« Risposta #6 il: 05 Marzo 2013 ore 21:06 »
Come avete detto?
Reinstallare?
Ma siete sicuri? Tutti d'accordo?

Ahhh che peccato.
Si avvia. Non mi prende gli input come a vellerofonte, però applicando i suoi suggerimenti non li prende comunque, nè tastiera nè mouse ecc. Nulla. Zero. :'(

Reinstallerò, più avanti. Adesso torno alla vecchia edizione.

Grazie ragazzi per la chiarezza.

Vabbé...non commento neppure...

Chiudo.
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

 

Template by Homey | Sito ufficiale | Disclaimer